r34629 - in /trunk/libwww-search-perl/debian: make-module.sh rules

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Sat May 2 03:53:25 UTC 2009


Author: ryan52-guest
Date: Sat May  2 03:53:08 2009
New Revision: 34629

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=34629
Log:
split it out into separate steps, so that dh_prep doesn't take away the installed stuff

Modified:
    trunk/libwww-search-perl/debian/make-module.sh
    trunk/libwww-search-perl/debian/rules

Modified: trunk/libwww-search-perl/debian/make-module.sh
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libwww-search-perl/debian/make-module.sh?rev=34629&op=diff
==============================================================================
--- trunk/libwww-search-perl/debian/make-module.sh (original)
+++ trunk/libwww-search-perl/debian/make-module.sh Sat May  2 03:53:08 2009
@@ -41,8 +41,7 @@
     cd ..
 fi
 
-if [ "$1" = "build" ]; then
-    set -x
+if [ "$1" = "configure" ]; then
 	cd build-area
 	for dir in *
 	do
@@ -53,19 +52,31 @@
 				cd $module
         		if [ -r Build.PL ];
 		        then
-                            
 					$PERL Build.PL installdirs=vendor
-					$PERL Build
-                                        if [ -f ../../../runtests ]; then
-					$PERL Build test || { echo "TESTS FAILED"; exit 1; }
-                                        fi
+	        	else
+					PERL5LIB=$PERL5LIB $PERL Makefile.PL INSTALLDIRS=vendor --skipdeps
+	    	    fi
+				cd ..
+			done
+			cd ..
+		fi
+	done
+cd ..
+fi
+
+if [ "$1" = "install" ]; then
+	cd build-area
+	for dir in *
+	do
+		if [ -d $dir ]; then
+    		cd $dir
+			for module in *
+			do 
+				cd $module
+        		if [ -r Build.PL ];
+		        then
 					$PERL Build install destdir=$DESTDIR
 	        	else
-					PERL5LIB=$PERL5LIB $PERL Makefile.PL INSTALLDIRS=vendor --skipdeps
-					PERL5LIB=$PERL5LIB $MAKE
-                                        if [ -f ../../../runtests ]; then
-					PERL5LIB=$PERL5LIB $MAKE test || { echo "TESTS FAILED"; exit 1; }
-                                        fi
 					$MAKE install DESTDIR=$DESTDIR
 	    	    fi
 				cd ..
@@ -75,3 +86,53 @@
 	done
 cd ..
 fi
+
+if [ "$1" = "test" ]; then
+	cd build-area
+	for dir in *
+	do
+		if [ -d $dir ]; then
+    		cd $dir
+			for module in *
+			do 
+				cd $module
+        		if [ -r Build.PL ];
+		        then
+                                        if [ -f ../../../runtests ]; then
+					$PERL Build test || { echo "TESTS FAILED"; exit 1; }
+                                        fi
+	        	else
+                                        if [ -f ../../../runtests ]; then
+					PERL5LIB=$PERL5LIB $MAKE test || { echo "TESTS FAILED"; exit 1; }
+                                        fi
+	    	    fi
+				cd ..
+			done
+			cd ..
+		fi
+	done
+cd ..
+fi
+
+if [ "$1" = "build" ]; then
+	cd build-area
+	for dir in *
+	do
+		if [ -d $dir ]; then
+    		cd $dir
+			for module in *
+			do 
+				cd $module
+        		if [ -r Build.PL ];
+		        then
+					$PERL Build
+	        	else
+					PERL5LIB=$PERL5LIB $MAKE
+	    	    fi
+				cd ..
+			done
+			cd ..
+		fi
+	done
+cd ..
+fi

Modified: trunk/libwww-search-perl/debian/rules
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libwww-search-perl/debian/rules?rev=34629&op=diff
==============================================================================
--- trunk/libwww-search-perl/debian/rules (original)
+++ trunk/libwww-search-perl/debian/rules Sat May  2 03:53:08 2009
@@ -5,9 +5,15 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	DESTDIR=$(DESTDIR) debian/make-module.sh unpack
+	DESTDIR=$(DESTDIR) debian/make-module.sh configure
+
 override_dh_auto_build:
-	DESTDIR=$(DESTDIR) debian/make-module.sh unpack
 	DESTDIR=$(DESTDIR) debian/make-module.sh build
+
+override_dh_auto_install:
+	DESTDIR=$(DESTDIR) debian/make-module.sh install
 
 build:
 	DESTDIR=$(DESTDIR) debian/make-module.sh check
@@ -17,4 +23,4 @@
 	dh $@
 	rm -fr build-area
 
-.PHONY: clean build override_dh_auto_build
+.PHONY: clean build override_dh_auto_build override_dh_auto_test override_dh_auto_configure override_dh_auto_install




More information about the Pkg-perl-cvs-commits mailing list